Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 6)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 7)
@@ -2850,46 +3148,44 @@
                         dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.DepartmentName].Value = "外注扱い（常雇工）";
                         bdmDisp = false;
                     }
+
                     // 部署コードセット
-                    dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.DepartmentCode].Value = string.Format("{0}{1}", (int)CommonDefine.EmployeeClassFlg.OutSource, s_EmployeeClass);
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.DepartmentCode].Value = string.Format("{0}{1}", (int)CommonDefine.EmployeeClassFlg.OutSource, s_EmployeeClass);
 
                     // 予定・実績文字の表示
-                    dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Value = s_ActionSchduleFixed[0];
-                    dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Green;
-                    dgvActionSchedule.Rows[LineCnt].ReadOnly = true;
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Value = s_ActionSchduleFixed[0];
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Green;
+                    dgv.Rows[LineCnt].ReadOnly = true;
 
-                    dgvActionSchedule.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Value = s_ActionSchduleFixed[1];
-                    dgvActionSchedule.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Blue;
-                    dgvActionSchedule.Rows[LineCnt + 1].ReadOnly = true;
+                    dgv.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Value = s_ActionSchduleFixed[1];
+                    dgv.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Blue;
+                    dgv.Rows[LineCnt + 1].ReadOnly = true;
 
                     // 担当者名の表示
-                    dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonCode].Value = picData.PersonCode;
-                    dgvActionSchedule.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.PersonCode].Value = picData.PersonCode;
-                    dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonName].Value = picData.PersonName;
+                    dgv.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.PersonCode].Value = PersonRec.PersonCode;
 
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonCode].Value = PersonRec.PersonCode;
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonName].Value = PersonRec.PersonName;
+
                     // --------------- 行動予定の表示
-                    List<ActionScheduleData> asdList = new List<ActionScheduleData>();
-                    strSQL = String.Format(" Where (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate < TO_DATE('{1}','YYYY/MM/DD'))",
-                                            ColenderStartDate.ToShortDateString(), ColenderStartDate.AddDays(ColCnt).ToShortDateString());
-                    strSQL += string.Format(" And PersonCode = {0}", picData.PersonCode);
-                    if (asdDB.SelectAction(strSQL, ref asdList))
+                    List<KeyValuePair<DateTime, string>> ActionList = new List<KeyValuePair<DateTime, string>>();
+                    // データ取得
+                    GetActionListTypeB(PersonRec.PersonCode, DataList, ref ActionList);
+
+                    foreach (KeyValuePair<DateTime, string> DayDataRec in ActionList)
                     {
-                        if (asdList.Count != 0)
+                        for (int ix = 0; ix < ColCnt; ix++)
                         {
-                            foreach (ActionScheduleData wrkDay in asdList)
-                            {
-                                for (int ix = 0; ix < ColCnt; ix++)
-                                {
-                                    // 日付が違えば表示しない
-                                    if (ColenderStartDate.AddDays(ix).Date != wrkDay.TargetDate.Date) continue;
-                                    // 行動予定セット
-                                    dgvActionSchedule.Rows[LineCnt].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = wrkDay.ActionSchedule;
-                                }
-                            }
+                            // 日付が違えば表示しない
+                            if (ColenderStartDate.AddDays(ix).Date != DayDataRec.Key.Date) continue;
+                            // 行動予定セット
+                            dgv.Rows[LineCnt].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = DayDataRec.Value;
                         }
                     }
-                    LineCnt += 2;
+                    // ブレイクキーセット
+                    BreakPerSonCode = PersonRec.PersonCode;
                 }
+                
                 // 表示行セット
                 if (DspRowCnt != 0) dgvActionSchedule.FirstDisplayedScrollingRowIndex = DspRowCnt;
             }
@@ -2903,85 +3199,51 @@
                 asdDB.close(); asdDB = null;
             }
         }
-        
+        #endregion
+
+        #region 車両予約データ構造体セット
         /// <summary>
-        /// 車両予約
+        /// 車両予約データ構造体セット
         /// </summary>
-        private void DispVehicleReservation(DateTime ColenderStartDate)
+        /// <param name="InData"></param>
+        /// <param name="VehicleRec"></param>
+        /// <param name="VehicleSRec"></param>
+        /// <param name="ActionRec"></param>
+        private void SetVehicleArrayListToRec(object[] InData
+                                            , ref VehicleMaster VehicleRec
+                                            , ref VehicleScheduleData VehicleSRec
+                                            , ref PersonInChargeMaster PersonRec)
         {
             IOMVehicle vcDB = new IOMVehicle();
             IOVehicleScheduleData vsdDB = new IOVehicleScheduleData();
             IOMPersonInCharge picDB = new IOMPersonInCharge();
-
             try
             {
-                // --------------- 車両の表示
-                string strSQL = " Where VehicleScheduleFlg = 0 Order By DisplayOrder Asc";
-                List<VehicleMaster> vcList = new List<VehicleMaster>();
-                int LineCnt = dgvActionSchedule.RowCount;
+                int DBVehicleCnt = Enum.GetNames(typeof(IOMVehicle.NameColumn)).Length;                 // 車両マスタフィールドカウント
+                int DBVehicleSCnt = Enum.GetNames(typeof(IOVehicleScheduleData.NameColumn)).Length;     // 車両スケジュールフィールドカウント
+                int DBPersonCnt = Enum.GetNames(typeof(IOMPersonInCharge.NameColumn)).Length;           // 担当者マスタフィールドカウント
 
-                if (!vcDB.SelectAction(strSQL, ref vcList)) return;
+                vcDB.ClearStruct(ref VehicleRec);
+                vsdDB.ClearStruct(ref VehicleSRec);
+                picDB.ClearStruct(ref PersonRec);
 
-                // 1カ月分処理する
-                int ColCnt = dgvActionSchedule.ColumnCount - (int)ActionSchduleGridCount.Days1;
+                vcDB.Reader2Struct(InData, ref VehicleRec);
 
-                bool bdmDisp = true;
-                foreach (VehicleMaster vcData in vcList)
+                object[] objSchedule = new object[DBVehicleSCnt];
+                int InPo = DBVehicleCnt;
+                for (int i = 0; i < DBVehicleSCnt; i++, InPo++)
                 {
-                    dgvActionSchedule.Rows.Add();
-                    dgvActionSchedule.Rows.Add();
+                    objSchedule[i] = InData[InPo];
+                }
+                vsdDB.Reader2Struct(objSchedule, ref VehicleSRec);
 
-                    // タイトルの表示
-                    if (bdmDisp)
-                    {
-                        dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.DepartmentName].Value = "車両管理";
-                        bdmDisp = false;
-                    }
-
-                    dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Value = s_VehiicleReservationFixed[0];
-                    dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Green;
-                    dgvActionSchedule.Rows[LineCnt].ReadOnly = true;
-
-                    dgvActionSchedule.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Value = s_VehiicleReservationFixed[1];
-                    dgvActionSchedule.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Blue;
-                    dgvActionSchedule.Rows[LineCnt + 1].ReadOnly = true;
-
-                    dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.VehicleCode].Value = vcData.VehicleCode;
-                    dgvActionSchedule.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.VehicleCode].Value = vcData.VehicleCode;
-                    dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonName].Value = vcData.VehicleName;
-
-                    // --------------- 車両予約の表示
-                    for (int iy = 1; iy <= 2; iy++)
-                    {
-                        strSQL = String.Format(" Where (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate < TO_DATE('{1}','YYYY/MM/DD'))",
-                                                ColenderStartDate.ToShortDateString(), ColenderStartDate.AddDays(ColCnt).ToShortDateString());
-                        strSQL += String.Format(" And VehicleCode = {0}", vcData.VehicleCode);
-                        strSQL += string.Format(" And MorningAfternoon = {0}", iy);
-
-                        List<VehicleScheduleData> vsdList = new List<VehicleScheduleData>();
-                        if (!vsdDB.SelectAction(strSQL, ref vsdList)) continue;
-                        if (vsdList.Count == 0) continue;
-                        foreach (VehicleScheduleData wrkDay in vsdList)
-                        {
-                            // 予約が無ければ表示しない
-                            if (wrkDay.PersonCode == 0) continue;
-                            for (int ix = 0; ix < ColCnt; ix++)
-                            {
-                                // 日付が違えば表示しない
-                                if (ColenderStartDate.AddDays(ix).Date != wrkDay.TargetDate.Date) continue;
-
-                                List<PersonInChargeMaster> picList = new List<PersonInChargeMaster>();
-                                string strPerson = picDB.CreatePrimarykeyString(wrkDay.PersonCode);
-                                if (!picDB.SelectAction(strPerson, ref picList)) continue;
-                                if (iy == 1)
-                                    dgvActionSchedule.Rows[LineCnt].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = picList[0].PersonName;
-                                else
-                                    dgvActionSchedule.Rows[LineCnt + 1].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = picList[0].PersonName;
-                            }
-                        }
-                    }
-                    LineCnt += 2;
+                object[] objPerson = new object[DBPersonCnt];
+                InPo = DBVehicleCnt + DBVehicleSCnt;
+                for (int i = 0; i < DBPersonCnt; i++, InPo++)
+                {
+                    objPerson[i] = InData[InPo];
                 }
+                picDB.Reader2Struct(objPerson, ref PersonRec);
             }
             catch (Exception ex)
             {
@@ -2996,58 +3258,193 @@
         }
         #endregion
 
-        #region グリッドソート実行
-        private void GridSortExcute(DataGridView ExeGrid)
+        #region 車両予約データクラス
+        /// <summary>
+        /// 車両予約データクラス
+        /// </summary>
+        private class VehicleResurveData
         {
-            try
+            private DateTime m_TargetDate = DateTime.MinValue;
+            private int m_VehicleCode = 0;
+            private int m_MorningAfternoon = 0;
+            private int m_PersonCode = 0;
+            private string m_PersonName = string.Empty;
+
+            public DateTime TargetDate
             {
-                // ソート無は処理しない
-                if (m_SortColumns == -1 || m_SortModes == -1) return;
-
-                // カラム取得
-                DataGridViewColumn wrksortcolumn = ExeGrid.Columns[m_SortColumns];
-                // ソートオーダー取得
-                ListSortDirection sortDirection = ((SortOrder)m_SortModes) == SortOrder.Ascending ?
-                                                        ListSortDirection.Ascending : ListSortDirection.Descending;
-                ExeGrid.Sort(wrksortcolumn, sortDirection);
+                get { return m_TargetDate; }
+                set { m_TargetDate = value; }
             }
-            catch (Exception ex)
+            public int VehicleCode
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                get { return m_VehicleCode; }
+                set { m_VehicleCode = value; }
             }
+            public int MorningAfternoon
+            {
+                get { return m_MorningAfternoon; }
+                set { m_MorningAfternoon = value; }
+            }
+            public int PersonCode {
+                get { return m_PersonCode; }
+                set { m_PersonCode = value; }
+            }
+            public string PersonName
+            {
+                get { return m_PersonName; }
+                set { m_PersonName = value; }
+            }
         }
         #endregion
 
-        #region グリッドソート退避エリアのクリア
+        #region 車両予約データ取得
         /// <summary>
-        /// ソート退避エリアのクリア
+        /// 車両予約データ取得
         /// </summary>
-        private void ClearGridSortStatus(DataGridView ClearGrid)
+        /// <param name="PersonCode"></param>
+        /// <param name="DataList"></param>
+        /// <param name="ActionList"></param>
+        private void GetVehicleReserveList(int VehicleCode, ArrayList DataList, ref List<VehicleResurveData> ReserveList)
         {
-            // 前にソートしていたらグリッドソートのクリア
-            DataGridViewColumn oldColumn = ClearGrid.SortedColumn;
-            if (oldColumn != null)
-                oldColumn.HeaderCell.SortGlyphDirection = SortOrder.None;
+            try
+            {
+                VehicleMaster VehicleRec = new VehicleMaster();
+                VehicleScheduleData VehicleSRec = new VehicleScheduleData();
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                bool bExist = false;
+                foreach (object[] DataRec in DataList)
+                {
+                    // オブジェクト配列より構造体へセット
+                    SetVehicleArrayListToRec(DataRec, ref VehicleRec, ref VehicleSRec, ref PersonRec);
 
-            m_SortColumns = -1;
-            m_SortModes = -1;
+                    // 車両が違えば処理しない
+                    if (VehicleCode != VehicleRec.VehicleCode)
+                    {
+                        if (bExist) break;
+                        continue;
+                    }
+                    // 車両が見つかればフラグON
+                    bExist = true;
+                    // データセット
+                    VehicleResurveData Data = new VehicleResurveData();
+                    Data.TargetDate = VehicleSRec.TargetDate;
+                    Data.VehicleCode = VehicleSRec.VehicleCode;
+                    Data.MorningAfternoon = VehicleSRec.MorningAfternoon;
+                    Data.PersonCode = VehicleSRec.PersonCode;
+                    Data.PersonName = PersonRec.PersonName;
+
+                    ReserveList.Add(Data);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
-        #region グリッドソート状態の退避
+        #region 車両予約
         /// <summary>
-        /// グリッドソート状態の退避
+        /// 車両予約
         /// </summary>
-        private void GetGridSortStatus(DataGridView GetGrid)
+        private void DispVehicleReservation()
         {
-            // ソート状態
-            if (GetGrid.SortedColumn != null)
+            IOMVehicle vcDB = new IOMVehicle();
+            IOVehicleScheduleData vsdDB = new IOVehicleScheduleData();
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+
+            try
             {
-                m_SortColumns = (int)GetGrid.SortedColumn.Index;
-                m_SortModes = (int)GetGrid.SortOrder;
+                // 最初の日を求める
+                DateTime ColenderStartDate = DateTime.Now.AddDays(-15);
+                DateTime ColenderEndDate = DateTime.Now.AddDays(15);
+
+                // --------------- 車両の表示
+                string strSQL = "SELECT * FROM VEHICLEMASTER A";
+                strSQL += " LEFT JOIN VEHICLESCHEDULEDATA B ON A.VEHICLECODE = B.VEHICLECODE";
+                strSQL += String.Format(" AND (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
+                                        , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON B.PERSONCODE = C.PERSONCODE";
+                strSQL += " WHERE VehicleScheduleFlg = 0";
+                strSQL += " Order By A.DisplayOrder Asc, B.TargetDate ASC, B.MorningAfternoon ASC";
+                
+                ArrayList vcList = new ArrayList();
+                if (!vcDB.ExecuteReader(strSQL, ref vcList)) return;
+
+                DataGridView dgv = dgvActionSchedule;
+                // 1カ月分処理する
+                int ColCnt = dgv.ColumnCount - (int)ActionSchduleGridCount.Days1;
+
+                VehicleMaster VehicleRec = new VehicleMaster();
+                VehicleScheduleData VehicleSRec = new VehicleScheduleData();
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+
+                bool bdmDisp = true;
+                int BreakCode = 0;
+                foreach (object[] vcData in vcList)
+                {
+                    // オブジェクト配列より構造体へセット
+                    SetVehicleArrayListToRec(vcData, ref VehicleRec, ref VehicleSRec, ref PersonRec);
+
+                    // 車両が同じならば処理しない
+                    if (BreakCode == VehicleRec.VehicleCode) continue;
+
+                    int LineCnt = dgv.Rows.Add();
+                    dgv.Rows.Add();
+
+                    // タイトルの表示
+                    if (bdmDisp)
+                    {
+                        dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.DepartmentName].Value = "車両管理";
+                        bdmDisp = false;
+                    }
+
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Value = s_VehiicleReservationFixed[0];
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Green;
+                    dgv.Rows[LineCnt].ReadOnly = true;
+
+                    dgv.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Value = s_VehiicleReservationFixed[1];
+                    dgv.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Blue;
+                    dgv.Rows[LineCnt + 1].ReadOnly = true;
+
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.VehicleCode].Value = VehicleRec.VehicleCode;
+                    dgv.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.VehicleCode].Value = VehicleRec.VehicleCode;
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonName].Value = VehicleRec.VehicleName;
+
+                    // --------------- 車両予約の表示
+                    List<VehicleResurveData> ReserveList = new List<VehicleResurveData>();
+                    GetVehicleReserveList(VehicleRec.VehicleCode, vcList, ref ReserveList);
+
+                    foreach (VehicleResurveData wrkDay in ReserveList)
+                    {
+                        for (int ix = 0; ix < ColCnt; ix++)
+                        {
+                            // 日付が違えば表示しない
+                            if (ColenderStartDate.AddDays(ix).Date != wrkDay.TargetDate.Date) continue;
+
+                            if (wrkDay.MorningAfternoon == 1)
+                                dgv.Rows[LineCnt].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = wrkDay.PersonName;
+                            else
+                                dgv.Rows[LineCnt + 1].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = wrkDay.PersonName;
+                        }
+                    }
+                    // ブレイクキーセット
+                    BreakCode = VehicleRec.VehicleCode;
+                }
             }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                vcDB.close(); vcDB = null;
+                vsdDB.close(); vsdDB = null;
+                picDB.close(); picDB = null;
+            }
         }
         #endregion
+        #endregion
 
         #region 人員配置一覧
         #region 人員配置一覧クリア
@@ -3139,7 +3536,7 @@
                                 }
                                 // ======= DEbug =======
                                 break;
-                            
+
                             case 10:
                                 dgv.Rows[1].Cells[icnt].Value = "20";
                                 // 月内の10日区切りを印刷する
@@ -3302,7 +3699,7 @@
                 HDisplayCnt = dgv.FirstDisplayedScrollingColumnIndex;
                 VDisplayCnt = dgv.FirstDisplayedScrollingRowIndex;
 
-                    // クリアする
+                // クリアする
                 ClearStaffAssignList();
 
 
@@ -4164,6 +4561,59 @@
         #endregion
         #endregion
 
+        #region グリッドソート実行
+        private void GridSortExcute(DataGridView ExeGrid)
+        {
+            try
+            {
+                // ソート無は処理しない
+                if (m_SortColumns == -1 || m_SortModes == -1) return;
+
+                // カラム取得
+                DataGridViewColumn wrksortcolumn = ExeGrid.Columns[m_SortColumns];
+                // ソートオーダー取得
+                ListSortDirection sortDirection = ((SortOrder)m_SortModes) == SortOrder.Ascending ?
+                                                        ListSortDirection.Ascending : ListSortDirection.Descending;
+                ExeGrid.Sort(wrksortcolumn, sortDirection);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グリッドソート退避エリアのクリア
+        /// <summary>
+        /// ソート退避エリアのクリア
+        /// </summary>
+        private void ClearGridSortStatus(DataGridView ClearGrid)
+        {
+            // 前にソートしていたらグリッドソートのクリア
+            DataGridViewColumn oldColumn = ClearGrid.SortedColumn;
+            if (oldColumn != null)
+                oldColumn.HeaderCell.SortGlyphDirection = SortOrder.None;
+
+            m_SortColumns = -1;
+            m_SortModes = -1;
+        }
+        #endregion
+
+        #region グリッドソート状態の退避
+        /// <summary>
+        /// グリッドソート状態の退避
+        /// </summary>
+        private void GetGridSortStatus(DataGridView GetGrid)
+        {
+            // ソート状態
+            if (GetGrid.SortedColumn != null)
+            {
+                m_SortColumns = (int)GetGrid.SortedColumn.Index;
+                m_SortModes = (int)GetGrid.SortOrder;
+            }
+        }
+        #endregion
+
         #region 初期時サブフォームハンドルリスト作成
         /// <summary>
         /// 初期時サブフォームハンドルリスト作成
